#include <iostream>
#include <vector>	
#include <algorithm>
#include <cmath>
#include <set>
#include <map>
#define pii pair<int,int>
using namespace std;
vector<int> solve(vector<int>A) {
	vector<pii>a;
	for (int i = 0; i < A.size(); i++) {
		a.push_back({ A[i],i });
	}
	sort(a.begin(), a.end());
	vector<int>ans;
	for (int i = 0; i < a.size(); i += 2) {
		ans.push_back(a[i].second);
	}
	for (int i = 1; i < a.size(); i += 2) {
		ans.push_back(a[i].second);
	}
	return ans;
}
